Loading...
Searching...
No Matches
pappso::PeptideFragmentIon Class Reference

`#include <peptidefragmention.h>`

Inheritance diagram for pappso::PeptideFragmentIon:

## Public Member Functions

| PeptideFragmentIon (const PeptideFragmentSp &sp_fragment, Enums::PeptideIon ion_type, unsigned int number_of_neutral_phospho_loss)
| PeptideFragmentIon (const PeptideFragmentSp &sp_fragment, Enums::PeptideIon ion_type)
| PeptideFragmentIon (const PeptideFragmentIon &other)
| PeptideFragmentIon (PeptideFragmentIon &&toCopy)
virtual | ~PeptideFragmentIon ()
PeptideFragmentIonSp | makePeptideFragmentIonSp () const
virtual unsigned int | size () const override
virtual const QString | getSequence () const override
| amino acid sequence without modification
virtual const PeptideFragmentSp & | getPeptideFragmentSp () const
virtual int | getNumberOfAtom (Enums::AtomIsotopeSurvey atom) const override
| get the number of atom C, O, N, H in the molecule
virtual int | getNumberOfIsotope (Enums::Isotope isotope) const override
| get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule
virtual const QString | getName () const override
pappso_double | getMass () const override
const QString | getPeptideIonName () const
const QString | getCompletePeptideIonName (unsigned int charge) const
| get a complete ion name string
Enums::PeptideIon | getPeptideIonType () const
PeptideDirection | getPeptideIonDirection () const
unsigned int | getNumberOfNeutralPhosphoLoss () const
virtual bool | isPalindrome () const override
| tells if the peptide sequence is a palindrome
Public Member Functions inherited from pappso::PeptideInterface
virtual const QString | getSequenceLi () const
| amino acid sequence without modification where L are replaced by I
virtual const ChemicalFormula | getChemicalFormulaCharge (unsigned int charge) const
virtual const QString | getFormula (unsigned int charge) const final
virtual bool | matchPeak (PrecisionPtr precision, pappso_double peak_mz, unsigned int charge) const final
| tells if the peptide m/z matches a given experimental mass
Public Member Functions inherited from pappso::Ion
| Ion ()
| ~Ion ()
virtual pappso_double | getMz (unsigned int charge) const final
Public Member Functions inherited from pappso::AtomNumberInterface
virtual const ChemicalFormula | getChemicalFormula () const

## Static Public Member Functions

static PeptideDirection | getPeptideIonDirection (Enums::PeptideIon ion_type)
static const QString | getPeptideIonName (Enums::PeptideIon ion_type)
static const QColor | getPeptideIonColor (Enums::PeptideIon ion_type)

## Private Attributes

const PeptideFragmentSp | msp_fragment
const Enums::PeptideIon | m_ionType
pappso_double | m_mass = 0
unsigned int | m_neutralPhosphoLossNumber = 0

## Detailed Description

Definition at line 49 of file peptidefragmention.h.

## Constructor & Destructor Documentation

## PeptideFragmentIon() [1/4]

pappso::PeptideFragmentIon::PeptideFragmentIon | ( | const PeptideFragmentSp & | sp_fragment,
|  | Enums::PeptideIon | ion_type,
|  | unsigned int | number_of_neutral_phospho_loss )

Definition at line 45 of file peptidefragmention.cpp.

: msp_fragment(sp_fragment), m_ionType(ion_type)
{
m_mass = msp_fragment.get()->getMass();
PeptideDirection direction = msp_fragment.get()->getPeptideIonDirection();
if(direction != pappso::getPeptideIonDirection(m_ionType))
{
throw PappsoException(QString("Enums::PeptideIon %1 is not an %2 fragment")
.arg(PeptideFragmentIon::getPeptideIonName(m_ionType))
.arg(PeptideFragment::getPeptideIonDirectionName(direction)));
}
m_mass -= MASSH2O;
switch(m_ionType)
{
// -MASSH2O
case Enums::PeptideIon::yp:
m_neutralPhosphoLossNumber = number_of_neutral_phospho_loss;
m_mass -= ((MASSH2O + MASSPHOSPHORYLATEDR) * m_neutralPhosphoLossNumber);
ion_type = Enums::PeptideIon::y;
break;
case Enums::PeptideIon::bp:
m_neutralPhosphoLossNumber = number_of_neutral_phospho_loss;
m_mass -= ((MASSH2O + MASSPHOSPHORYLATEDR) * m_neutralPhosphoLossNumber);
ion_type = Enums::PeptideIon::b;
break;
default:
break;
}
m_mass += PeptideRawFragmentMasses::getDeltaMass(ion_type);
}
pappso::PeptideFragmentIon::m_neutralPhosphoLossNumber
unsigned int m_neutralPhosphoLossNumber
Definition peptidefragmention.h:102
pappso::PeptideFragmentIon::m_ionType
const Enums::PeptideIon m_ionType
Definition peptidefragmention.h:96
pappso::PeptideFragmentIon::getPeptideIonName
const QString getPeptideIonName() const
Definition peptidefragmention.cpp:122
pappso::PeptideFragmentIon::m_mass
pappso_double m_mass
Definition peptidefragmention.h:98
pappso::PeptideFragmentIon::msp_fragment
const PeptideFragmentSp msp_fragment
Definition peptidefragmention.h:95
pappso::PeptideFragment::getPeptideIonDirectionName
static const QString getPeptideIonDirectionName(PeptideDirection direction)
Definition peptidefragment.cpp:103
pappso::PeptideRawFragmentMasses::getDeltaMass
static pappso_double getDeltaMass(Enums::PeptideIon ion_type)
Definition peptiderawfragmentmasses.cpp:55
pappso::Enums::PeptideIon::y
@ y
Cter amino ions.
Definition types.h:295
pappso::Enums::PeptideIon::bp
@ bp
Definition types.h:293
pappso::Enums::PeptideIon::yp
@ yp
Definition types.h:299
pappso::Enums::PeptideIon::b
@ b
Nter acylium ions.
Definition types.h:287
pappso::PeptideDirection
PeptideDirection
Definition peptide.h:47
pappso::getPeptideIonDirection
PeptideDirection getPeptideIonDirection(Enums::PeptideIon ion_type)
get the direction of a peptide ion
Definition peptide.cpp:97
pappso::MASSH2O
const pappso_double MASSH2O((MPROTIUM *2)+MASSOXYGEN)
pappso::MASSPHOSPHORYLATEDR
const pappso_double MASSPHOSPHORYLATEDR(MPROTIUM+(MASSOXYGEN *3)+MASSPHOSPHORUS)

References pappso::Enums::b, pappso::Enums::bp, pappso::PeptideRawFragmentMasses::getDeltaMass(), getMass(), pappso::getPeptideIonDirection(), getPeptideIonDirection(), pappso::PeptideFragment::getPeptideIonDirectionName(), getPeptideIonName(), m_ionType, m_mass, m_neutralPhosphoLossNumber, pappso::MASSH2O(), pappso::MASSPHOSPHORYLATEDR(), msp_fragment, pappso::Enums::y, and pappso::Enums::yp.

Referenced by PeptideFragmentIon(), PeptideFragmentIon(), and PeptideFragmentIon().

## PeptideFragmentIon() [2/4]

pappso::PeptideFragmentIon::PeptideFragmentIon | ( | const PeptideFragmentSp & | sp_fragment,
|  | Enums::PeptideIon | ion_type )

Definition at line 39 of file peptidefragmention.cpp.

: PeptideFragmentIon(sp_fragment, ion_type, 0)
{
}
pappso::PeptideFragmentIon::PeptideFragmentIon
PeptideFragmentIon(const PeptideFragmentSp &sp_fragment, Enums::PeptideIon ion_type, unsigned int number_of_neutral_phospho_loss)
Definition peptidefragmention.cpp:45

References PeptideFragmentIon().

## PeptideFragmentIon() [3/4]

pappso::PeptideFragmentIon::PeptideFragmentIon | ( | const PeptideFragmentIon & | other | ) |

Definition at line 78 of file peptidefragmention.cpp.

: msp_fragment(other.msp_fragment), m_ionType(other.m_ionType)
{
m_mass = other.m_mass;
}

References PeptideFragmentIon(), m_ionType, m_mass, and msp_fragment.

## PeptideFragmentIon() [4/4]

pappso::PeptideFragmentIon::PeptideFragmentIon | ( | PeptideFragmentIon && | toCopy | ) |

Definition at line 85 of file peptidefragmention.cpp.

: msp_fragment(std::move(toCopy.msp_fragment)), m_ionType(toCopy.m_ionType), m_mass(toCopy.m_mass)
{
}

References PeptideFragmentIon(), m_ionType, m_mass, and msp_fragment.

## ~PeptideFragmentIon()

pappso::PeptideFragmentIon::~PeptideFragmentIon | ( |  | ) |

virtual

Definition at line 90 of file peptidefragmention.cpp.

{
}

## Member Function Documentation

## getCompletePeptideIonName()

const QString pappso::PeptideFragmentIon::getCompletePeptideIonName | ( | unsigned int | charge | ) | const

get a complete ion name string

Parameters

  charge |

Definition at line 103 of file peptidefragmention.cpp.

{
std::size_t size = msp_fragment.get()->size();
QString plusstr = "+";
plusstr = plusstr.repeated(charge);
if(m_ionType == Enums::PeptideIon::yp)
{
return QString("y%1(-P%2)%3").arg(size).arg(m_neutralPhosphoLossNumber).arg(plusstr);
}
else if(m_ionType == Enums::PeptideIon::bp)
{
return QString("b%1(-P%2)%3").arg(size).arg(m_neutralPhosphoLossNumber).arg(plusstr);
}
return QString("%1%2%3").arg(getPeptideIonName(m_ionType)).arg(size).arg(plusstr);
}
pappso::PeptideFragmentIon::size
virtual unsigned int size() const override
Definition peptidefragmention.cpp:538

References pappso::Enums::bp, getPeptideIonName(), m_ionType, m_neutralPhosphoLossNumber, msp_fragment, size(), and pappso::Enums::yp.

## getMass()

pappso_double pappso::PeptideFragmentIon::getMass | ( |  | ) | const

override virtual

Implements pappso::Ion.

Definition at line 562 of file peptidefragmention.cpp.

{
return m_mass;
}

References m_mass.

Referenced by PeptideFragmentIon().

## getName()

const QString pappso::PeptideFragmentIon::getName | ( |  | ) | const

override virtual

Reimplemented from pappso::PeptideInterface.

Definition at line 556 of file peptidefragmention.cpp.

{
return QString("%1-%2").arg(getPeptideIonName(m_ionType)).arg(size());
}

References getPeptideIonName(), m_ionType, and size().

## getNumberOfAtom()

int pappso::PeptideFragmentIon::getNumberOfAtom | ( | Enums::AtomIsotopeSurvey | atom | ) | const

override virtual

get the number of atom C, O, N, H in the molecule

Implements pappso::AtomNumberInterface.

Definition at line 241 of file peptidefragmention.cpp.

{
int number = msp_fragment.get()->getNumberOfAtom(atom);
int diff = 0;
switch(atom)
{
case Enums::AtomIsotopeSurvey::C:
switch(m_ionType)
{
case Enums::PeptideIon::y:
break;
case Enums::PeptideIon::yp:
// H 1 O 3 P 1 + H 2 0
break;
case Enums::PeptideIon::ystar:
// m_mass -= MASSNH3;
break;
case Enums::PeptideIon::yo:
// m_mass -= MASSH2O;
break;
case Enums::PeptideIon::bstar:
// m_mass -= MASSH2O;
// m_mass -= MASSNH3;
break;
case Enums::PeptideIon::bo:
// m_mass -= MASSH2O;
// m_mass -= MASSH2O;
break;
case Enums::PeptideIon::a:
// m_mass -= MASSH2O;
// m_mass -= MASSCO;
diff = -1;
break;
case Enums::PeptideIon::c:
// m_mass += MASSNH3;
break;
// SvgIon.moxygen - mN
case Enums::PeptideIon::z:
// m_mass -= MASSH2O;
// m_mass += MASSOXYGEN - MASSNITROGEN - MPROTIUM;
break;
case Enums::PeptideIon::b:
// m_mass -= MASSH2O;
break;
case Enums::PeptideIon::bp:
// H 1 O 3 P 1 + H 2 0
break;
case Enums::PeptideIon::astar:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSNH3;
diff = -1;
break;
case Enums::PeptideIon::ao:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSH2O;
diff = -1;
break;
case Enums::PeptideIon::x:
// +MASSCO + MASSOXYGEN
diff = +1;
break;
default:
throw PappsoException(QString("Enums::PeptideIon name not implemented"));
break;
}
break;
case Enums::AtomIsotopeSurvey::H:
switch(m_ionType)
{
case Enums::PeptideIon::y:
break;
case Enums::PeptideIon::yp:
// H 1 O 3 P 1 + H 2 0
diff = -3 * m_neutralPhosphoLossNumber;
break;
case Enums::PeptideIon::ystar:
// m_mass -= MASSNH3;
diff = -3;
break;
case Enums::PeptideIon::yo:
// m_mass -= MASSH2O;
diff = -2;
break;
case Enums::PeptideIon::bstar:
// m_mass -= MASSH2O;
// m_mass -= MASSNH3;
diff = -5;
break;
case Enums::PeptideIon::bo:
// m_mass -= MASSH2O;
// m_mass -= MASSH2O;
diff = -4;
break;
case Enums::PeptideIon::a:
// m_mass -= MASSH2O;
// m_mass -= MASSCO;
diff = -2;
break;
case Enums::PeptideIon::c:
// m_mass += MASSNH3;
diff = -3;
break;
// SvgIon.moxygen - mN
case Enums::PeptideIon::z:
// m_mass -= MASSH2O;
// m_mass += MASSOXYGEN - MASSNITROGEN - MPROTIUM;
diff = -3;
break;
case Enums::PeptideIon::b:
// m_mass -= MASSH2O;
diff = -2;
break;
case Enums::PeptideIon::bp:
// H 1 O 3 P 1 + H 2 0
diff = -3 * m_neutralPhosphoLossNumber;
break;
case Enums::PeptideIon::astar:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSNH3;
diff = -5;
break;
case Enums::PeptideIon::ao:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSH2O;
diff = -4;
break;
case Enums::PeptideIon::x:
// +MASSCO + MASSOXYGEN
diff = -2;
break;
default:
throw PappsoException(QString("Enums::PeptideIon name not implemented"));
break;
}
break;
case Enums::AtomIsotopeSurvey::N:
switch(m_ionType)
{
case Enums::PeptideIon::y:
break;
case Enums::PeptideIon::yp:
// H 1 O 3 P 1 + H 2 0
break;
case Enums::PeptideIon::ystar:
// m_mass -= MASSNH3;
diff = -1;
break;
case Enums::PeptideIon::yo:
// m_mass -= MASSH2O;
break;
case Enums::PeptideIon::bstar:
// m_mass -= MASSH2O;
// m_mass -= MASSNH3;
diff = -1;
break;
case Enums::PeptideIon::bo:
// m_mass -= MASSH2O;
// m_mass -= MASSH2O;
break;
case Enums::PeptideIon::a:
// m_mass -= MASSH2O;
// m_mass -= MASSCO;
break;
case Enums::PeptideIon::c:
// m_mass += MASSNH3;
diff = -1;
break;
// SvgIon.moxygen - mN
case Enums::PeptideIon::z:
// m_mass -= MASSH2O;
// m_mass += MASSOXYGEN - MASSNITROGEN - MPROTIUM;
diff = -1;
break;
case Enums::PeptideIon::b:
// m_mass -= MASSH2O;
break;
case Enums::PeptideIon::bp:
// H 1 O 3 P 1 + H 2 0
break;
case Enums::PeptideIon::astar:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSNH3;
diff = -1;
break;
case Enums::PeptideIon::ao:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSH2O;
break;
case Enums::PeptideIon::x:
// +MASSCO + MASSOXYGEN
break;
default:
throw PappsoException(QString("Enums::PeptideIon name not implemented"));
break;
}
break;
case Enums::AtomIsotopeSurvey::O:
switch(m_ionType)
{
case Enums::PeptideIon::y:
break;
case Enums::PeptideIon::yp:
// H 1 O 3 P 1 + H 2 0
diff = -4 * m_neutralPhosphoLossNumber;
break;
case Enums::PeptideIon::ystar:
// m_mass -= MASSNH3;
break;
case Enums::PeptideIon::yo:
// m_mass -= MASSH2O;
diff = -1;
break;
case Enums::PeptideIon::bstar:
// m_mass -= MASSH2O;
// m_mass -= MASSNH3;
diff = -1;
break;
case Enums::PeptideIon::bo:
// m_mass -= MASSH2O;
// m_mass -= MASSH2O;
diff = -2;
break;
case Enums::PeptideIon::a:
// m_mass -= MASSH2O;
// m_mass -= MASSCO;
diff = -2;
break;
case Enums::PeptideIon::c:
// m_mass += MASSNH3;
break;
// SvgIon.moxygen - mN
case Enums::PeptideIon::z:
// m_mass -= MASSH2O;
// m_mass += MASSOXYGEN - MASSNITROGEN - MPROTIUM;
diff = -2;
break;
case Enums::PeptideIon::b:
// m_mass -= MASSH2O;
diff = -1;
break;
case Enums::PeptideIon::bp:
// H 1 O 3 P 1 + H 2 0
diff = -4 * m_neutralPhosphoLossNumber;
break;
case Enums::PeptideIon::astar:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSNH3;
diff = -2;
break;
case Enums::PeptideIon::ao:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSH2O;
diff = -3;
break;
case Enums::PeptideIon::x:
// +MASSCO + MASSOXYGEN
diff = +1;
break;
default:
throw PappsoException(QObject::tr("Enums::PeptideIon name not implemented"));
break;
}
break;
case Enums::AtomIsotopeSurvey::S:
break;
default:
qDebug() << "PeptideFragmentIon::getNumberOfAtom(Enums::AtomIsotopeSurvey "
"atom) NOT IMPLEMENTED";
}
return number + diff;
}
pappso::Enums::AtomIsotopeSurvey::C
@ C
Definition types.h:111
pappso::Enums::AtomIsotopeSurvey::S
@ S
Definition types.h:115
pappso::Enums::AtomIsotopeSurvey::N
@ N
Definition types.h:114
pappso::Enums::AtomIsotopeSurvey::H
@ H
Definition types.h:112
pappso::Enums::AtomIsotopeSurvey::O
@ O
Definition types.h:113
pappso::Enums::PeptideIon::a
@ a
Nter aldimine ions.
Definition types.h:290
pappso::Enums::PeptideIon::c
@ c
Nter amino ions.
Definition types.h:294
pappso::Enums::PeptideIon::astar
@ astar
Nter aldimine ions + NH3 loss.
Definition types.h:291
pappso::Enums::PeptideIon::ystar
@ ystar
Cter amino ions + NH3 loss.
Definition types.h:296
pappso::Enums::PeptideIon::yo
@ yo
Cter amino ions + H2O loss.
Definition types.h:297
pappso::Enums::PeptideIon::bstar
@ bstar
Nter acylium ions + NH3 loss.
Definition types.h:288
pappso::Enums::PeptideIon::x
@ x
Cter acylium ions.
Definition types.h:300
pappso::Enums::PeptideIon::bo
@ bo
Nter acylium ions + H2O loss.
Definition types.h:289
pappso::Enums::PeptideIon::ao
@ ao
Nter aldimine ions + H2O loss.
Definition types.h:292
pappso::Enums::PeptideIon::z
@ z
Cter carbocations.
Definition types.h:298

References pappso::Enums::a, pappso::Enums::ao, pappso::Enums::astar, pappso::Enums::b, pappso::Enums::bo, pappso::Enums::bp, pappso::Enums::bstar, pappso::Enums::C, pappso::Enums::c, pappso::Enums::H, m_ionType, m_neutralPhosphoLossNumber, msp_fragment, pappso::Enums::N, pappso::Enums::O, pappso::Enums::S, pappso::Enums::x, pappso::Enums::y, pappso::Enums::yo, pappso::Enums::yp, pappso::Enums::ystar, and pappso::Enums::z.

## getNumberOfIsotope()

int pappso::PeptideFragmentIon::getNumberOfIsotope | ( | Enums::Isotope | isotope | ) | const

override virtual

get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule

Implements pappso::AtomNumberInterface.

Definition at line 524 of file peptidefragmention.cpp.

{
int number = msp_fragment.get()->getNumberOfIsotope(isotope);
return number;
}

References msp_fragment.

## getNumberOfNeutralPhosphoLoss()

unsigned int pappso::PeptideFragmentIon::getNumberOfNeutralPhosphoLoss | ( |  | ) | const

Definition at line 578 of file peptidefragmention.cpp.

{
return m_neutralPhosphoLossNumber;
}

References m_neutralPhosphoLossNumber.

## getPeptideFragmentSp()

const PeptideFragmentSp & pappso::PeptideFragmentIon::getPeptideFragmentSp | ( |  | ) | const

virtual

Definition at line 550 of file peptidefragmention.cpp.

{
return msp_fragment;
}

References msp_fragment.

## getPeptideIonColor()

const QColor pappso::PeptideFragmentIon::getPeptideIonColor | ( | Enums::PeptideIon | ion_type | ) |

static

Definition at line 186 of file peptidefragmention.cpp.

{
switch(m_ionType)
{
case Enums::PeptideIon::y:
return QColor("red");
break;
case Enums::PeptideIon::yp:
return QColor("red");
break;
case Enums::PeptideIon::ystar:
return QColor("red");
break;
case Enums::PeptideIon::yo:
return QColor("orange");
break;
case Enums::PeptideIon::x:
return QColor("orange");
break;
case Enums::PeptideIon::bstar:
return QColor("blue");
break;
case Enums::PeptideIon::bo:
return QColor("#ff00ff");
break;
case Enums::PeptideIon::a:
return QColor("green");
break;
case Enums::PeptideIon::astar:
return QColor("green");
break;
case Enums::PeptideIon::ao:
return QColor("green");
break;
case Enums::PeptideIon::c:
return QColor("blue");
break;
// SvgIon.moxygen - mN
case Enums::PeptideIon::z:
return QColor("red");
break;
case Enums::PeptideIon::b:
return QColor("blue");
break;
case Enums::PeptideIon::bp:
return QColor("blue");
break;
default:
throw PappsoException(
QString("Enums::PeptideIon color not implemented %1").arg(getPeptideIonName(m_ionType)));
break;
}
}

References pappso::Enums::a, pappso::Enums::ao, pappso::Enums::astar, pappso::Enums::b, pappso::Enums::bo, pappso::Enums::bp, pappso::Enums::bstar, pappso::Enums::c, getPeptideIonName(), m_ionType, pappso::Enums::x, pappso::Enums::y, pappso::Enums::yo, pappso::Enums::yp, pappso::Enums::ystar, and pappso::Enums::z.

Referenced by pappso::QCPSpectrum::QCPSpectrum(), and pappso::MassSpectrumWidget::plot().

## getPeptideIonDirection() [1/2]

PeptideDirection pappso::PeptideFragmentIon::getPeptideIonDirection | ( |  | ) | const

Definition at line 573 of file peptidefragmention.cpp.

{
return msp_fragment.get()->getPeptideIonDirection();
}

References msp_fragment.

Referenced by PeptideFragmentIon().

## getPeptideIonDirection() [2/2]

PeptideDirection pappso::PeptideFragmentIon::getPeptideIonDirection | ( | Enums::PeptideIon | ion_type | ) |

static

Definition at line 96 of file peptidefragmention.cpp.

{
return pappso::getPeptideIonDirection(ion_type);
}

References pappso::getPeptideIonDirection().

## getPeptideIonName() [1/2]

const QString pappso::PeptideFragmentIon::getPeptideIonName | ( |  | ) | const

Definition at line 122 of file peptidefragmention.cpp.

{
if((m_ionType == Enums::PeptideIon::yp) || (m_ionType == Enums::PeptideIon::bp))
{
return QString("%1(%2)").arg(getPeptideIonName(m_ionType)).arg(m_neutralPhosphoLossNumber);
}
return getPeptideIonName(m_ionType);
}

References pappso::Enums::bp, getPeptideIonName(), m_ionType, m_neutralPhosphoLossNumber, and pappso::Enums::yp.

Referenced by PeptideFragmentIon(), getCompletePeptideIonName(), getName(), pappso::PeptideFragmentIonListBase::getPeptideFragmentIonSp(), getPeptideIonColor(), and getPeptideIonName().

## getPeptideIonName() [2/2]

const QString pappso::PeptideFragmentIon::getPeptideIonName | ( | Enums::PeptideIon | ion_type | ) |

static

Definition at line 132 of file peptidefragmention.cpp.

{
switch(m_ionType)
{
case Enums::PeptideIon::y:
return "y";
break;
case Enums::PeptideIon::yp:
return "yP";
break;
case Enums::PeptideIon::ystar:
return "y*";
break;
case Enums::PeptideIon::yo:
return "yO";
break;
case Enums::PeptideIon::bstar:
return "b*";
break;
case Enums::PeptideIon::bo:
return "bO";
break;
case Enums::PeptideIon::a:
return "a";
break;
case Enums::PeptideIon::astar:
return "a*";
break;
case Enums::PeptideIon::ao:
return "aO";
break;
case Enums::PeptideIon::c:
return "c";
break;
// SvgIon.moxygen - mN
case Enums::PeptideIon::z:
return "z";
break;
case Enums::PeptideIon::b:
return "b";
break;
case Enums::PeptideIon::bp:
return "bP";
break;
case Enums::PeptideIon::x:
return "x";
break;
default:
throw PappsoException(QString("Enums::PeptideIon name not implemented"));
break;
}
}

References pappso::Enums::a, pappso::Enums::ao, pappso::Enums::astar, pappso::Enums::b, pappso::Enums::bo, pappso::Enums::bp, pappso::Enums::bstar, pappso::Enums::c, m_ionType, pappso::Enums::x, pappso::Enums::y, pappso::Enums::yo, pappso::Enums::yp, pappso::Enums::ystar, and pappso::Enums::z.

## getPeptideIonType()

Enums::PeptideIon pappso::PeptideFragmentIon::getPeptideIonType | ( |  | ) | const

Definition at line 568 of file peptidefragmention.cpp.

{
return m_ionType;
}

References m_ionType.

## getSequence()

const QString pappso::PeptideFragmentIon::getSequence | ( |  | ) | const

override virtual

amino acid sequence without modification

Implements pappso::PeptideInterface.

Definition at line 544 of file peptidefragmention.cpp.

{
return msp_fragment.get()->getSequence();
}

References msp_fragment.

## isPalindrome()

bool pappso::PeptideFragmentIon::isPalindrome | ( |  | ) | const

override virtual

tells if the peptide sequence is a palindrome

Implements pappso::PeptideInterface.

Definition at line 584 of file peptidefragmention.cpp.

{
return msp_fragment.get()->isPalindrome();
}

References msp_fragment.

## makePeptideFragmentIonSp()

PeptideFragmentIonSp pappso::PeptideFragmentIon::makePeptideFragmentIonSp | ( |  | ) | const

Definition at line 531 of file peptidefragmention.cpp.

{
return std::make_shared<PeptideFragmentIon>(*this);
}

## size()

unsigned int pappso::PeptideFragmentIon::size | ( |  | ) | const

override virtual

Implements pappso::PeptideInterface.

Definition at line 538 of file peptidefragmention.cpp.

{
return msp_fragment.get()->size();
}

References msp_fragment.

Referenced by pappso::findComplementIonType(), getCompletePeptideIonName(), and getName().

## Member Data Documentation

## m_ionType

const Enums::PeptideIon pappso::PeptideFragmentIon::m_ionType

private

Definition at line 96 of file peptidefragmention.h.

Referenced by PeptideFragmentIon(), PeptideFragmentIon(), PeptideFragmentIon(), getCompletePeptideIonName(), getName(), getNumberOfAtom(), getPeptideIonColor(), getPeptideIonName(), getPeptideIonName(), and getPeptideIonType().

## m_mass

pappso_double pappso::PeptideFragmentIon::m_mass = 0

private

Definition at line 98 of file peptidefragmention.h.

Referenced by PeptideFragmentIon(), PeptideFragmentIon(), PeptideFragmentIon(), and getMass().

## m_neutralPhosphoLossNumber

unsigned int pappso::PeptideFragmentIon::m_neutralPhosphoLossNumber = 0

private

Definition at line 102 of file peptidefragmention.h.

Referenced by PeptideFragmentIon(), getCompletePeptideIonName(), getNumberOfAtom(), getNumberOfNeutralPhosphoLoss(), and getPeptideIonName().

## msp_fragment

const PeptideFragmentSp pappso::PeptideFragmentIon::msp_fragment

private

Definition at line 95 of file peptidefragmention.h.

Referenced by PeptideFragmentIon(), PeptideFragmentIon(), PeptideFragmentIon(), getCompletePeptideIonName(), getNumberOfAtom(), getNumberOfIsotope(), getPeptideFragmentSp(), getPeptideIonDirection(), getSequence(), isPalindrome(), and size().

The documentation for this class was generated from the following files:

- pappsomspp/core/peptide/peptidefragmention.h
- pappsomspp/core/peptide/peptidefragmention.cpp